Apache C++ Standard Library Reference Guide

## isgraph()

Library: Localization

    Function

- Local Index
- Summary
- Synopsis
- Description
- See Also
- Standards Conformance

### Local Index

No Entries

### Summary

Locale convenience function that determines if a character is a graphic character

### Synopsis

    #include <locale>

    namespace std {
      template <class charT>
      bool isgraph(charT c, const locale& loc);
    }

### Description

The `isgraph()` function returns `true` if the character passed as a parameter is a graphic character. Otherwise the function returns `false`. The check is made using the `ctype` facet from the `locale` parameter.

### See Also

ctype, locale, `isalnum()`, `isalpha()`, `iscntrl()`, `isdigit()`, `islower()`, `isprint()`, `ispunct()`, `isspace()`, `isupper()`, `isxdigit()`

### Standards Conformance

ISO/IEC 14882:1998 -- International Standard for Information Systems -- Programming Language C++, Section 22.1.3.1